Bug 135076 - CAN-2004-0687 buffer overflows in libXpm
CAN-2004-0687 buffer overflows in libXpm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: lesstif (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
impact=moderate,public=20041007
: Security
Depends On:
Blocks: CVE-2004-0687
  Show dependency treegraph
 
Reported: 2004-10-08 10:21 EDT by Josh Bressers
Modified: 2008-01-28 11:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 13:44:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-08 10:21:15 EDT
Multiple stack-based buffer overflows in (1) xpmParseColors in
parse.c, (2) ParseAndPutPixels in create.c, and (3) ParsePixels in
parse.c for libXpm before 6.8.1 allow remote attackers to execute
arbitrary code via a malformed XPM image file.

This library itself is contained in lesstif.
Comment 1 Josh Bressers 2004-10-08 10:48:01 EDT
RHEL3 does not contain lesstif, therefore is not affected by this issue.
Comment 2 Josh Bressers 2005-01-12 13:44:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-004.html

Note You need to log in before you can comment on or make changes to this bug.